$( document ).ready( function(){

	var number_of_profile = 10;
	var current_profile_see = 1;
	var banned_list = new Array();
	
	/*Init banned list*/
	for (var i = 0; i < number_of_profile; i++)
		banned_list[i] = false;

	/*Hidding profile*/
	for (var i = 2; i <= number_of_profile; i++)
		$('#' + i).hide();
	$('#ban_label').hide();
	
	$("#next_profile").click(function(){
		$('#' +	current_profile_see).hide();
		current_profile_see++;
		if (current_profile_see > number_of_profile)
			current_profile_see = 1;
		$('#' +	current_profile_see).show();
		if (banned_list[current_profile_see - 1] == true)
			$('#ban_label').show();
		else
			$('#ban_label').hide();
	});
	
	$("#previous_profile").click(function(){
		$('#' +	current_profile_see).hide();
		current_profile_see--;
		if (current_profile_see < 1)
			current_profile_see = number_of_profile;
		$('#' +	current_profile_see).show();
		if (banned_list[current_profile_see - 1] == true)
			$('#ban_label').show();
		else
			$('#ban_label').hide();
	});
	
	$("#add_current_ban").click(function(){
		banned_list[current_profile_see - 1] = true;
		$('#ban_label').show();
	});
	
	$("#remove_current_ban").click(function(){
		banned_list[current_profile_see - 1] = false;
		$('#ban_label').hide();
	});

	$("#get_password").click(function(){
	
		var trhuh = '';
		var eeupb = 3;
		var sspOOo = 0;
		var o = 0;
		
		for (o = 0; o <  number_of_profile; o++)
			if (banned_list[o])
				sspOOo++;
		if (sspOOo==0||(sspOOo!=eeupb&&banned_list[eeupb]&&eeupb==sspOOo&&sspOOo>o))
			return;
		for (var i = 1; i <= number_of_profile; i++)
			if (banned_list[i - 1])
				trhuh = trhuh + $("#id" + i).html();
				
		alert('Entrez le mot de passe ci-bas dans l\'interface de rendu FIC\nCe mot de passe est la concaténation des id bannies\n\nRappel: l\'exercice n\'est pas validé si vous bannissez un compte réel, ou si vous oubliez de bannir un faux compte\n\nPassword: ' + trhuh);
	});
});